乘风原创程序

  • CakePHP的安装的简单方法
  • 2021/1/27 14:31:10
  • 在对于CakePHP的作用有了初步认识后,我们可以下载CakePHP来进行一些使用。在安装前,要检查php的版本情况,防止CakePHP框架出现不适配的情况。

    对于具体的框架组装,会涉及到依赖库和Composer,这些我们在之前别的框架中也有涉及。下面就CakePHP框架的安装带来详细介绍。

    一、版本要求

    至少需要安装PHP (命令行界面)版本 5.6.0 以上。网路服务器的 PHP 需要和命令行界面版本一致,保证 5.6.0 以上。

    二、安装步骤

    1.安装Wampserver

    2.安装Windows依赖库

    http://www.microsoft.com/zh-CN/download/details.aspx?id=30679

    3.配置Wampserver

    mysql与php环境变量配置:

    (1)编辑->变量名"Path",在原变量值的最后面加上“;D:\wamp\bin\mysql\mysql5.6.17\bin” ,因为wamp的安装路径为“D:\wamp”,大家注意对之进行变通适当修改,并留意前面有个分号。

    (2)编辑->变量名"Path",在原变量值的最后面加上“;D:\wamp\bin\php\php5.5.12”

    避免出现错误提示?“php.ini”文件自行修改。

    error_reporting = E_ALL 改为 error_reporting =E_ALL & ~E_STRICT & ~E_NOTICE
    short_open_tag=Off 改为 short_open_tag=On
    display_errors = On 改为 display_errors = Off

    4.安装Composer

    https://getcomposer.org/download/

    5.composer命令安装项框架

    composer create-project --prefer-dist cakephp/app my_app_name

    6.wampserver设置成在线模式

    注意:

    CakePHP支持数据库复合主键。

    使用的表和列名称不是任意的,需遵循CakePHP的命名约定。

    config/app.php配置文件的备份为config/app.default.php